package EFS::DBI::Result::Fileserver;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{fileserver} );

__PACKAGE__->add_columns( qw( cell name ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{fileserver_seq} );

__PACKAGE__->belongs_to( cell        => q{EFS::DBI::Result::Cell} );

__PACKAGE__->has_many( fileshares => q{EFS::DBI::Result::Fileshare} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::FileserverAttrs} );

sub fileqtrees {
    return map { $_->fileqtrees(@_) } shift->fileshares;
}

sub object_id {
    my $self = shift;
    my $separator = shift || q{/};
    return join( $separator,
                 $self->cell->name,
                 $self->name );
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
