#!/usr/bin/env perl

use strict;
use warnings;
use English;

use lib q{test/lib};
use EFS::Test;
use EFS::Test::Config;

#use Test::More tests => 7;
use Test::More skip_all => q{Not yet implemented};

my $test = EFS::Test->new( as_user => q{efsops} );
my $config = EFS::Test::Config->new;

my $rdc_efsserver = $config->get_value( q{RemoteDevCell}, q{efsserver} );
my $sshcmd = $config->get_value( q{Global}, q{sshcmd} );

my $localpid  = qx{ cat /var/run/efsd.pid };
my $remotepid = qx{ $sshcmd $rdc_efsserver cat /var/run/efsd.pid };

ok( $localpid, q{Found PID of local efsd instance} );
ok( $remotepid, q{Found PID of remote efsd instance} );

$test->efs_test_command(
    command => q{efs restart efsserver -hosttype dev},
    not     => 1,
    expect  => [
        q{No EFS servers match the specified criteria},
    ],
);

$test->efs_test_command(
    command => q{efs restart efsserver -hosttype test},
    expect  => [

    ],
);

my $newlocalpid  = qx{ cat /var/run/efsd.pid };
my $newremotepid = qx{ $sshcmd $rdc_efsserver cat /var/run/efsd.pid };

ok( $newlocalpid, q{Found new PID of local efsd instance} );
ok( $newremotepid, q{Found new PID of remote efsd instance} );

ok( $localpid != $newlocalpid, q{Local daemon was restarted} );
ok( $remotepid != $newremotepid, q{Remote daemon was restarted} );

1;
