#!/usr/bin/env perl

use strict;
use warnings;
use English;

use blib;
use EFS;

use lib q{test/lib};
use EFS::Test;
use EFS::Test::Config;

use Test::More tests => 3;

# NOTE: This is far from complete.  There's a lot more to test here...

my $test = EFS::Test->new();
my $config = EFS::Test::Config->new;

my $ldc_name = $config->get_value( q{LocalDevCell}, 'name' );

my $project_rs = EFS::DBI->get_resultset( q{Project} );
my $project = $project_rs->retrieve_bynames_assert(
    metaproj => q{efs},
    name     => q{config-efsserver},
);

$test->run_as_efsops(
    q{efs dumpconfig efsserver},
    sub {
        $test->efs_test_command(
            command => q{efs dumpconfig efsserver},
        );
    },
);

my @releases_after = $project->active_releases;

ok( $#releases_after == 0, q{Only one active release in efs/config-efsserver} );

$test->efs_test_file(
    file => q{/efs/dist/efs/config-efsserver/current/common/etc/efsserver.txt},
);

1;
