#!/usr/bin/env perl

use strict;
use warnings;
use English;
use Carp;

use lib q{test/lib};
use EFS::Test::Config;

use Test::More;

my $config = EFS::Test::Config->new;

my $sshcmd = $config->get_value( q{Global}, q{sshcmd} );

my $ldc_efsserver  = $config->get_value( q{LocalDevCell}, q{efsserver} );
my $rdc_efsserver  = $config->get_value( q{RemoteDevCell}, q{efsserver} );

system qq{/bin/rm -rf /var/efs};
$CHILD_ERROR and die qq{Unable to remove $ldc_efsserver:/var/efs\n};

ok( 1, qq{Removed $ldc_efsserver:/var/efs} );

system qq{$sshcmd $rdc_efsserver /bin/rm -rf /var/efs};
$CHILD_ERROR and die qq{Unable to remove $rdc_efsserver:/var/efs\n};

ok( 1, qq{Removed $rdc_efsserver:/var/efs} );

done_testing();
exit 0;

